
--------------------------------------------------------------------奖学金管理--------------------------------------------------------------------
-- ----------------------------
-- 奖学金类别
-- ----------------------------
DROP TABLE IF EXISTS base_student_scholarship_category;
CREATE TABLE base_student_scholarship_category
(
    id BIGINT NOT NULL COMMENT '主键编号',
    `create_user_id` BIGINT NULL DEFAULT NULL COMMENT '创建人',
    `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
    `modify_user_id` BIGINT NULL DEFAULT NULL COMMENT '修改人',
    `modify_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
    `delete_mark` INT NOT NULL COMMENT '删除标记',
    `enabled_mark` INT NOT NULL COMMENT '有效标志',
    `sort_code` INT NULL DEFAULT NULL COMMENT '序号',
    `name` VARCHAR(200) NOT NULL COMMENT '名称',
    `scholarship_source` int NOT NULL DEFAULT 0 COMMENT '奖学金来源(xjr_dictionary_item[scholarship_source])',
    `base_semester_id` bigint NULL DEFAULT NULL COMMENT '学期ID(base_semester)',
    `total_score` double NOT NULL DEFAULT 0 COMMENT '总金额',
    `scholarship_level` int NOT NULL DEFAULT 0 COMMENT '奖学金等级 0=无等级',
    `remark` VARCHAR(1000) COMMENT '备注',
    PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT '奖学金类别';

-- ----------------------------
-- 奖学金级别
-- ----------------------------
DROP TABLE IF EXISTS base_student_scholarship_level;
CREATE TABLE base_student_scholarship_level
(
    id BIGINT NOT NULL COMMENT '主键编号',
    `create_user_id` BIGINT NULL DEFAULT NULL COMMENT '创建人',
    `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
    `modify_user_id` BIGINT NULL DEFAULT NULL COMMENT '修改人',
    `modify_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
    `delete_mark` INT NOT NULL COMMENT '删除标记',
    `enabled_mark` INT NOT NULL COMMENT '有效标志',
    `sort_code` INT NULL DEFAULT NULL COMMENT '序号',
    `base_student_scholarship_category_id` bigint NULL DEFAULT NULL COMMENT '奖学金类别ID(base_student_scholarship_category)',
    `level` int NOT NULL DEFAULT 0 COMMENT '奖学金等级 0=无等级',
    `score` double NOT NULL DEFAULT 0 COMMENT '金额',
    PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT '奖学金级别';
--------------------------------------------------------------------奖学金管理--------------------------------------------------------------------








